Index: imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst
===================================================================
--- imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,87 @@
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/BackendRenderApplication.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/ServletInitializer.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/Coordinates.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/Edge.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/MapNode.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/MapNodeParser.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/RouteGraph.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/Shape.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/exceptions/InvalidMapDataException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/exceptions/MapParseException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/graph/exceptions/NodeNotFoundException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/config/OAuthConfig.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/config/RoleConfig.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/controllers/AdminController.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/controllers/AuthController.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/controllers/InvalidStateException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/controllers/MapDrawController.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/controllers/MapViewController.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/controllers/OAuthController.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/Floor.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/FloorId.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/IMapsUser.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/IndoorMap.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/MAP_STATUS.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/PublishRequest.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/RBA/Permission.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/RBA/Role.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/Report.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/entities/RoomType.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/EmailTakenException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/EmptyMapException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/FloorAlreadyExistsException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/FloorNotFoundException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/InvalidParametersException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/MapNameTakenException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/MapNotFoundException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/UserNotFoundException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/exceptions/UsernameTakenException.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/FloorRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/MapRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/PublishRequestRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/ReportRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/RoleRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/RoomTypeRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/repo/UserRepository.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/security/CorsConfigurationImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/security/JwtFilter.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/security/WebSecurityConfig.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/FloorServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/GitHubOAuthService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/GoogleOAuthService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/GraphServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/JWTService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/MapServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/MapUserDetailsService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/OAuthStateStore.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/PublishRequestServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/ReportServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/RoomTypeServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/impl/UserServiceImpl.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/FloorService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/GraphService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/MapService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/OAuthService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/PublishRequestService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/ReportService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/RoomTypeService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/StateStore.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/service/interfaces/UserService.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/AddRoomTypeDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/CreateMapDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/FloorDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GitHubUserInfo.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/GoogleUserInfo.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/MapDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/PublishMapDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/ReportDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/RoomTypeDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/SaveMapDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/UserAuthSuccessDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/UserLoginDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/DTO/UserMapDTO.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/OAuthProviders.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/UserPrincipal.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/Util.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/json/JsonMapData.java
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/main/java/internettehnologii/imaps/backendRender/web/util/json/JsonNodeConverter.java
Index: imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/createdFiles.lst
===================================================================
--- imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/createdFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/createdFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,1 @@
+internettehnologii/imaps/backendRender/BackendRenderApplicationTests.class
Index: imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/inputFiles.lst
===================================================================
--- imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/inputFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-backend/backendRender/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/inputFiles.lst	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,1 @@
+/home/stevetosak/Proekt/IMaps/imaps-backend/backendRender/src/test/java/internettehnologii/imaps/backendRender/BackendRenderApplicationTests.java
